OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_Group Class Reference

defines a Group node of VRML specifying group properties.
This node defines the base class for all group nodes. Group is a node that
contains an ordered list of child nodes. This node is simply a container for
the child nodes and does not alter the traversal state in any way.
During traversal, state accumulated for a child is passed on to each successive
child and then to the parents of the group (Group does not push or pop traversal
state as separator does).

`#include <Vrml_Group.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Group ()
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream)
## Private Attributes
Standard_Boolean | myFlagPrint

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Group::Vrml_Group | ( |  | ) |

## Member Function Documentation

void Vrml_Group::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Group::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Group::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Group::Print | ( | Standard_OStream & | anOStream | ) |

## Field Documentation

Standard_Boolean Vrml_Group::myFlagPrint`[private]`

The documentation for this class was generated from the following file:

- Vrml_Group.hxx